IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network229.2.240.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
- Network address
229.2.240.0- Broadcast address
229.2.255.255- First usable
229.2.240.1- Last usable
229.2.255.254- Usable hosts
- 4,094 (4,096 less the network and broadcast addresses)
- Subnet mask
255.255.240.0- Wildcard mask
0.0.15.255(Cisco ACLs, OSPF)- Prefix length
- /20
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E502F000· Integer3842174976to3842179071 - Reverse DNS zones
240.2.229.in-addr.arpa241.2.229.in-addr.arpa242.2.229.in-addr.arpa243.2.229.in-addr.arpa244.2.229.in-addr.arpa245.2.229.in-addr.arpa246.2.229.in-addr.arpa247.2.229.in-addr.arpa248.2.229.in-addr.arpa249.2.229.in-addr.arpa250.2.229.in-addr.arpa251.2.229.in-addr.arpa252.2.229.in-addr.arpa253.2.229.in-addr.arpa254.2.229.in-addr.arpa255.2.229.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11100101.00000010.11110000.00000000 | 229.2.240.0 |
| Subnet mask | 11111111.11111111.11110000.00000000 | 255.255.240.0 |
| Network | 11100101.00000010.11110000.00000000 | 229.2.240.0 |
| Broadcast | 11100101.00000010.11111111.11111111 | 229.2.255.255 |
Split into smaller subnets
/21 (2)/22 (4)/23 (8)/24 (16)/25 (32)/26 (64)/27 (128)/28 (256)/29 (512)/30 (1,024)/31 (2,048)/32 (4,096)
229.2.240.0/20 makes 2,048 subnets of /31; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 229.2.240.0/31 | 229.2.240.0 to 229.2.240.1 | — | 2 |
| 2 | 229.2.240.2/31 | 229.2.240.2 to 229.2.240.3 | — | 2 |
| 3 | 229.2.240.4/31 | 229.2.240.4 to 229.2.240.5 | — | 2 |
| 4 | 229.2.240.6/31 | 229.2.240.6 to 229.2.240.7 | — | 2 |
| 5 | 229.2.240.8/31 | 229.2.240.8 to 229.2.240.9 | — | 2 |
| 6 | 229.2.240.10/31 | 229.2.240.10 to 229.2.240.11 | — | 2 |
| 7 | 229.2.240.12/31 | 229.2.240.12 to 229.2.240.13 | — | 2 |
| 8 | 229.2.240.14/31 | 229.2.240.14 to 229.2.240.15 | — | 2 |
| 9 | 229.2.240.16/31 | 229.2.240.16 to 229.2.240.17 | — | 2 |
| 10 | 229.2.240.18/31 | 229.2.240.18 to 229.2.240.19 | — | 2 |
| 11 | 229.2.240.20/31 | 229.2.240.20 to 229.2.240.21 | — | 2 |
| 12 | 229.2.240.22/31 | 229.2.240.22 to 229.2.240.23 | — | 2 |
| 13 | 229.2.240.24/31 | 229.2.240.24 to 229.2.240.25 | — | 2 |
| 14 | 229.2.240.26/31 | 229.2.240.26 to 229.2.240.27 | — | 2 |
| 15 | 229.2.240.28/31 | 229.2.240.28 to 229.2.240.29 | — | 2 |
| 16 | 229.2.240.30/31 | 229.2.240.30 to 229.2.240.31 | — | 2 |
| 17 | 229.2.240.32/31 | 229.2.240.32 to 229.2.240.33 | — | 2 |
| 18 | 229.2.240.34/31 | 229.2.240.34 to 229.2.240.35 | — | 2 |
| 19 | 229.2.240.36/31 | 229.2.240.36 to 229.2.240.37 | — | 2 |
| 20 | 229.2.240.38/31 | 229.2.240.38 to 229.2.240.39 | — | 2 |
| 21 | 229.2.240.40/31 | 229.2.240.40 to 229.2.240.41 | — | 2 |
| 22 | 229.2.240.42/31 | 229.2.240.42 to 229.2.240.43 | — | 2 |
| 23 | 229.2.240.44/31 | 229.2.240.44 to 229.2.240.45 | — | 2 |
| 24 | 229.2.240.46/31 | 229.2.240.46 to 229.2.240.47 | — | 2 |
| 25 | 229.2.240.48/31 | 229.2.240.48 to 229.2.240.49 | — | 2 |
| 26 | 229.2.240.50/31 | 229.2.240.50 to 229.2.240.51 | — | 2 |
| 27 | 229.2.240.52/31 | 229.2.240.52 to 229.2.240.53 | — | 2 |
| 28 | 229.2.240.54/31 | 229.2.240.54 to 229.2.240.55 | — | 2 |
| 29 | 229.2.240.56/31 | 229.2.240.56 to 229.2.240.57 | — | 2 |
| 30 | 229.2.240.58/31 | 229.2.240.58 to 229.2.240.59 | — | 2 |
| 31 | 229.2.240.60/31 | 229.2.240.60 to 229.2.240.61 | — | 2 |
| 32 | 229.2.240.62/31 | 229.2.240.62 to 229.2.240.63 | — | 2 |
| 33 | 229.2.240.64/31 | 229.2.240.64 to 229.2.240.65 | — | 2 |
| 34 | 229.2.240.66/31 | 229.2.240.66 to 229.2.240.67 | — | 2 |
| 35 | 229.2.240.68/31 | 229.2.240.68 to 229.2.240.69 | — | 2 |
| 36 | 229.2.240.70/31 | 229.2.240.70 to 229.2.240.71 | — | 2 |
| 37 | 229.2.240.72/31 | 229.2.240.72 to 229.2.240.73 | — | 2 |
| 38 | 229.2.240.74/31 | 229.2.240.74 to 229.2.240.75 | — | 2 |
| 39 | 229.2.240.76/31 | 229.2.240.76 to 229.2.240.77 | — | 2 |
| 40 | 229.2.240.78/31 | 229.2.240.78 to 229.2.240.79 | — | 2 |
| 41 | 229.2.240.80/31 | 229.2.240.80 to 229.2.240.81 | — | 2 |
| 42 | 229.2.240.82/31 | 229.2.240.82 to 229.2.240.83 | — | 2 |
| 43 | 229.2.240.84/31 | 229.2.240.84 to 229.2.240.85 | — | 2 |
| 44 | 229.2.240.86/31 | 229.2.240.86 to 229.2.240.87 | — | 2 |
| 45 | 229.2.240.88/31 | 229.2.240.88 to 229.2.240.89 | — | 2 |
| 46 | 229.2.240.90/31 | 229.2.240.90 to 229.2.240.91 | — | 2 |
| 47 | 229.2.240.92/31 | 229.2.240.92 to 229.2.240.93 | — | 2 |
| 48 | 229.2.240.94/31 | 229.2.240.94 to 229.2.240.95 | — | 2 |
| 49 | 229.2.240.96/31 | 229.2.240.96 to 229.2.240.97 | — | 2 |
| 50 | 229.2.240.98/31 | 229.2.240.98 to 229.2.240.99 | — | 2 |
| 51 | 229.2.240.100/31 | 229.2.240.100 to 229.2.240.101 | — | 2 |
| 52 | 229.2.240.102/31 | 229.2.240.102 to 229.2.240.103 | — | 2 |
| 53 | 229.2.240.104/31 | 229.2.240.104 to 229.2.240.105 | — | 2 |
| 54 | 229.2.240.106/31 | 229.2.240.106 to 229.2.240.107 | — | 2 |
| 55 | 229.2.240.108/31 | 229.2.240.108 to 229.2.240.109 | — | 2 |
| 56 | 229.2.240.110/31 | 229.2.240.110 to 229.2.240.111 | — | 2 |
| 57 | 229.2.240.112/31 | 229.2.240.112 to 229.2.240.113 | — | 2 |
| 58 | 229.2.240.114/31 | 229.2.240.114 to 229.2.240.115 | — | 2 |
| 59 | 229.2.240.116/31 | 229.2.240.116 to 229.2.240.117 | — | 2 |
| 60 | 229.2.240.118/31 | 229.2.240.118 to 229.2.240.119 | — | 2 |
| 61 | 229.2.240.120/31 | 229.2.240.120 to 229.2.240.121 | — | 2 |
| 62 | 229.2.240.122/31 | 229.2.240.122 to 229.2.240.123 | — | 2 |
| 63 | 229.2.240.124/31 | 229.2.240.124 to 229.2.240.125 | — | 2 |
| 64 | 229.2.240.126/31 | 229.2.240.126 to 229.2.240.127 | — | 2 |
| 65 | 229.2.240.128/31 | 229.2.240.128 to 229.2.240.129 | — | 2 |
| 66 | 229.2.240.130/31 | 229.2.240.130 to 229.2.240.131 | — | 2 |
| 67 | 229.2.240.132/31 | 229.2.240.132 to 229.2.240.133 | — | 2 |
| 68 | 229.2.240.134/31 | 229.2.240.134 to 229.2.240.135 | — | 2 |
| 69 | 229.2.240.136/31 | 229.2.240.136 to 229.2.240.137 | — | 2 |
| 70 | 229.2.240.138/31 | 229.2.240.138 to 229.2.240.139 | — | 2 |
| 71 | 229.2.240.140/31 | 229.2.240.140 to 229.2.240.141 | — | 2 |
| 72 | 229.2.240.142/31 | 229.2.240.142 to 229.2.240.143 | — | 2 |
| 73 | 229.2.240.144/31 | 229.2.240.144 to 229.2.240.145 | — | 2 |
| 74 | 229.2.240.146/31 | 229.2.240.146 to 229.2.240.147 | — | 2 |
| 75 | 229.2.240.148/31 | 229.2.240.148 to 229.2.240.149 | — | 2 |
| 76 | 229.2.240.150/31 | 229.2.240.150 to 229.2.240.151 | — | 2 |
| 77 | 229.2.240.152/31 | 229.2.240.152 to 229.2.240.153 | — | 2 |
| 78 | 229.2.240.154/31 | 229.2.240.154 to 229.2.240.155 | — | 2 |
| 79 | 229.2.240.156/31 | 229.2.240.156 to 229.2.240.157 | — | 2 |
| 80 | 229.2.240.158/31 | 229.2.240.158 to 229.2.240.159 | — | 2 |
| 81 | 229.2.240.160/31 | 229.2.240.160 to 229.2.240.161 | — | 2 |
| 82 | 229.2.240.162/31 | 229.2.240.162 to 229.2.240.163 | — | 2 |
| 83 | 229.2.240.164/31 | 229.2.240.164 to 229.2.240.165 | — | 2 |
| 84 | 229.2.240.166/31 | 229.2.240.166 to 229.2.240.167 | — | 2 |
| 85 | 229.2.240.168/31 | 229.2.240.168 to 229.2.240.169 | — | 2 |
| 86 | 229.2.240.170/31 | 229.2.240.170 to 229.2.240.171 | — | 2 |
| 87 | 229.2.240.172/31 | 229.2.240.172 to 229.2.240.173 | — | 2 |
| 88 | 229.2.240.174/31 | 229.2.240.174 to 229.2.240.175 | — | 2 |
| 89 | 229.2.240.176/31 | 229.2.240.176 to 229.2.240.177 | — | 2 |
| 90 | 229.2.240.178/31 | 229.2.240.178 to 229.2.240.179 | — | 2 |
| 91 | 229.2.240.180/31 | 229.2.240.180 to 229.2.240.181 | — | 2 |
| 92 | 229.2.240.182/31 | 229.2.240.182 to 229.2.240.183 | — | 2 |
| 93 | 229.2.240.184/31 | 229.2.240.184 to 229.2.240.185 | — | 2 |
| 94 | 229.2.240.186/31 | 229.2.240.186 to 229.2.240.187 | — | 2 |
| 95 | 229.2.240.188/31 | 229.2.240.188 to 229.2.240.189 | — | 2 |
| 96 | 229.2.240.190/31 | 229.2.240.190 to 229.2.240.191 | — | 2 |
| 97 | 229.2.240.192/31 | 229.2.240.192 to 229.2.240.193 | — | 2 |
| 98 | 229.2.240.194/31 | 229.2.240.194 to 229.2.240.195 | — | 2 |
| 99 | 229.2.240.196/31 | 229.2.240.196 to 229.2.240.197 | — | 2 |
| 100 | 229.2.240.198/31 | 229.2.240.198 to 229.2.240.199 | — | 2 |
| 101 | 229.2.240.200/31 | 229.2.240.200 to 229.2.240.201 | — | 2 |
| 102 | 229.2.240.202/31 | 229.2.240.202 to 229.2.240.203 | — | 2 |
| 103 | 229.2.240.204/31 | 229.2.240.204 to 229.2.240.205 | — | 2 |
| 104 | 229.2.240.206/31 | 229.2.240.206 to 229.2.240.207 | — | 2 |
| 105 | 229.2.240.208/31 | 229.2.240.208 to 229.2.240.209 | — | 2 |
| 106 | 229.2.240.210/31 | 229.2.240.210 to 229.2.240.211 | — | 2 |
| 107 | 229.2.240.212/31 | 229.2.240.212 to 229.2.240.213 | — | 2 |
| 108 | 229.2.240.214/31 | 229.2.240.214 to 229.2.240.215 | — | 2 |
| 109 | 229.2.240.216/31 | 229.2.240.216 to 229.2.240.217 | — | 2 |
| 110 | 229.2.240.218/31 | 229.2.240.218 to 229.2.240.219 | — | 2 |
| 111 | 229.2.240.220/31 | 229.2.240.220 to 229.2.240.221 | — | 2 |
| 112 | 229.2.240.222/31 | 229.2.240.222 to 229.2.240.223 | — | 2 |
| 113 | 229.2.240.224/31 | 229.2.240.224 to 229.2.240.225 | — | 2 |
| 114 | 229.2.240.226/31 | 229.2.240.226 to 229.2.240.227 | — | 2 |
| 115 | 229.2.240.228/31 | 229.2.240.228 to 229.2.240.229 | — | 2 |
| 116 | 229.2.240.230/31 | 229.2.240.230 to 229.2.240.231 | — | 2 |
| 117 | 229.2.240.232/31 | 229.2.240.232 to 229.2.240.233 | — | 2 |
| 118 | 229.2.240.234/31 | 229.2.240.234 to 229.2.240.235 | — | 2 |
| 119 | 229.2.240.236/31 | 229.2.240.236 to 229.2.240.237 | — | 2 |
| 120 | 229.2.240.238/31 | 229.2.240.238 to 229.2.240.239 | — | 2 |
| 121 | 229.2.240.240/31 | 229.2.240.240 to 229.2.240.241 | — | 2 |
| 122 | 229.2.240.242/31 | 229.2.240.242 to 229.2.240.243 | — | 2 |
| 123 | 229.2.240.244/31 | 229.2.240.244 to 229.2.240.245 | — | 2 |
| 124 | 229.2.240.246/31 | 229.2.240.246 to 229.2.240.247 | — | 2 |
| 125 | 229.2.240.248/31 | 229.2.240.248 to 229.2.240.249 | — | 2 |
| 126 | 229.2.240.250/31 | 229.2.240.250 to 229.2.240.251 | — | 2 |
| 127 | 229.2.240.252/31 | 229.2.240.252 to 229.2.240.253 | — | 2 |
| 128 | 229.2.240.254/31 | 229.2.240.254 to 229.2.240.255 | — | 2 |
| 129 | 229.2.241.0/31 | 229.2.241.0 to 229.2.241.1 | — | 2 |
| 130 | 229.2.241.2/31 | 229.2.241.2 to 229.2.241.3 | — | 2 |
| 131 | 229.2.241.4/31 | 229.2.241.4 to 229.2.241.5 | — | 2 |
| 132 | 229.2.241.6/31 | 229.2.241.6 to 229.2.241.7 | — | 2 |
| 133 | 229.2.241.8/31 | 229.2.241.8 to 229.2.241.9 | — | 2 |
| 134 | 229.2.241.10/31 | 229.2.241.10 to 229.2.241.11 | — | 2 |
| 135 | 229.2.241.12/31 | 229.2.241.12 to 229.2.241.13 | — | 2 |
| 136 | 229.2.241.14/31 | 229.2.241.14 to 229.2.241.15 | — | 2 |
| 137 | 229.2.241.16/31 | 229.2.241.16 to 229.2.241.17 | — | 2 |
| 138 | 229.2.241.18/31 | 229.2.241.18 to 229.2.241.19 | — | 2 |
| 139 | 229.2.241.20/31 | 229.2.241.20 to 229.2.241.21 | — | 2 |
| 140 | 229.2.241.22/31 | 229.2.241.22 to 229.2.241.23 | — | 2 |
| 141 | 229.2.241.24/31 | 229.2.241.24 to 229.2.241.25 | — | 2 |
| 142 | 229.2.241.26/31 | 229.2.241.26 to 229.2.241.27 | — | 2 |
| 143 | 229.2.241.28/31 | 229.2.241.28 to 229.2.241.29 | — | 2 |
| 144 | 229.2.241.30/31 | 229.2.241.30 to 229.2.241.31 | — | 2 |
| 145 | 229.2.241.32/31 | 229.2.241.32 to 229.2.241.33 | — | 2 |
| 146 | 229.2.241.34/31 | 229.2.241.34 to 229.2.241.35 | — | 2 |
| 147 | 229.2.241.36/31 | 229.2.241.36 to 229.2.241.37 | — | 2 |
| 148 | 229.2.241.38/31 | 229.2.241.38 to 229.2.241.39 | — | 2 |
| 149 | 229.2.241.40/31 | 229.2.241.40 to 229.2.241.41 | — | 2 |
| 150 | 229.2.241.42/31 | 229.2.241.42 to 229.2.241.43 | — | 2 |
| 151 | 229.2.241.44/31 | 229.2.241.44 to 229.2.241.45 | — | 2 |
| 152 | 229.2.241.46/31 | 229.2.241.46 to 229.2.241.47 | — | 2 |
| 153 | 229.2.241.48/31 | 229.2.241.48 to 229.2.241.49 | — | 2 |
| 154 | 229.2.241.50/31 | 229.2.241.50 to 229.2.241.51 | — | 2 |
| 155 | 229.2.241.52/31 | 229.2.241.52 to 229.2.241.53 | — | 2 |
| 156 | 229.2.241.54/31 | 229.2.241.54 to 229.2.241.55 | — | 2 |
| 157 | 229.2.241.56/31 | 229.2.241.56 to 229.2.241.57 | — | 2 |
| 158 | 229.2.241.58/31 | 229.2.241.58 to 229.2.241.59 | — | 2 |
| 159 | 229.2.241.60/31 | 229.2.241.60 to 229.2.241.61 | — | 2 |
| 160 | 229.2.241.62/31 | 229.2.241.62 to 229.2.241.63 | — | 2 |
| 161 | 229.2.241.64/31 | 229.2.241.64 to 229.2.241.65 | — | 2 |
| 162 | 229.2.241.66/31 | 229.2.241.66 to 229.2.241.67 | — | 2 |
| 163 | 229.2.241.68/31 | 229.2.241.68 to 229.2.241.69 | — | 2 |
| 164 | 229.2.241.70/31 | 229.2.241.70 to 229.2.241.71 | — | 2 |
| 165 | 229.2.241.72/31 | 229.2.241.72 to 229.2.241.73 | — | 2 |
| 166 | 229.2.241.74/31 | 229.2.241.74 to 229.2.241.75 | — | 2 |
| 167 | 229.2.241.76/31 | 229.2.241.76 to 229.2.241.77 | — | 2 |
| 168 | 229.2.241.78/31 | 229.2.241.78 to 229.2.241.79 | — | 2 |
| 169 | 229.2.241.80/31 | 229.2.241.80 to 229.2.241.81 | — | 2 |
| 170 | 229.2.241.82/31 | 229.2.241.82 to 229.2.241.83 | — | 2 |
| 171 | 229.2.241.84/31 | 229.2.241.84 to 229.2.241.85 | — | 2 |
| 172 | 229.2.241.86/31 | 229.2.241.86 to 229.2.241.87 | — | 2 |
| 173 | 229.2.241.88/31 | 229.2.241.88 to 229.2.241.89 | — | 2 |
| 174 | 229.2.241.90/31 | 229.2.241.90 to 229.2.241.91 | — | 2 |
| 175 | 229.2.241.92/31 | 229.2.241.92 to 229.2.241.93 | — | 2 |
| 176 | 229.2.241.94/31 | 229.2.241.94 to 229.2.241.95 | — | 2 |
| 177 | 229.2.241.96/31 | 229.2.241.96 to 229.2.241.97 | — | 2 |
| 178 | 229.2.241.98/31 | 229.2.241.98 to 229.2.241.99 | — | 2 |
| 179 | 229.2.241.100/31 | 229.2.241.100 to 229.2.241.101 | — | 2 |
| 180 | 229.2.241.102/31 | 229.2.241.102 to 229.2.241.103 | — | 2 |
| 181 | 229.2.241.104/31 | 229.2.241.104 to 229.2.241.105 | — | 2 |
| 182 | 229.2.241.106/31 | 229.2.241.106 to 229.2.241.107 | — | 2 |
| 183 | 229.2.241.108/31 | 229.2.241.108 to 229.2.241.109 | — | 2 |
| 184 | 229.2.241.110/31 | 229.2.241.110 to 229.2.241.111 | — | 2 |
| 185 | 229.2.241.112/31 | 229.2.241.112 to 229.2.241.113 | — | 2 |
| 186 | 229.2.241.114/31 | 229.2.241.114 to 229.2.241.115 | — | 2 |
| 187 | 229.2.241.116/31 | 229.2.241.116 to 229.2.241.117 | — | 2 |
| 188 | 229.2.241.118/31 | 229.2.241.118 to 229.2.241.119 | — | 2 |
| 189 | 229.2.241.120/31 | 229.2.241.120 to 229.2.241.121 | — | 2 |
| 190 | 229.2.241.122/31 | 229.2.241.122 to 229.2.241.123 | — | 2 |
| 191 | 229.2.241.124/31 | 229.2.241.124 to 229.2.241.125 | — | 2 |
| 192 | 229.2.241.126/31 | 229.2.241.126 to 229.2.241.127 | — | 2 |
| 193 | 229.2.241.128/31 | 229.2.241.128 to 229.2.241.129 | — | 2 |
| 194 | 229.2.241.130/31 | 229.2.241.130 to 229.2.241.131 | — | 2 |
| 195 | 229.2.241.132/31 | 229.2.241.132 to 229.2.241.133 | — | 2 |
| 196 | 229.2.241.134/31 | 229.2.241.134 to 229.2.241.135 | — | 2 |
| 197 | 229.2.241.136/31 | 229.2.241.136 to 229.2.241.137 | — | 2 |
| 198 | 229.2.241.138/31 | 229.2.241.138 to 229.2.241.139 | — | 2 |
| 199 | 229.2.241.140/31 | 229.2.241.140 to 229.2.241.141 | — | 2 |
| 200 | 229.2.241.142/31 | 229.2.241.142 to 229.2.241.143 | — | 2 |
| 201 | 229.2.241.144/31 | 229.2.241.144 to 229.2.241.145 | — | 2 |
| 202 | 229.2.241.146/31 | 229.2.241.146 to 229.2.241.147 | — | 2 |
| 203 | 229.2.241.148/31 | 229.2.241.148 to 229.2.241.149 | — | 2 |
| 204 | 229.2.241.150/31 | 229.2.241.150 to 229.2.241.151 | — | 2 |
| 205 | 229.2.241.152/31 | 229.2.241.152 to 229.2.241.153 | — | 2 |
| 206 | 229.2.241.154/31 | 229.2.241.154 to 229.2.241.155 | — | 2 |
| 207 | 229.2.241.156/31 | 229.2.241.156 to 229.2.241.157 | — | 2 |
| 208 | 229.2.241.158/31 | 229.2.241.158 to 229.2.241.159 | — | 2 |
| 209 | 229.2.241.160/31 | 229.2.241.160 to 229.2.241.161 | — | 2 |
| 210 | 229.2.241.162/31 | 229.2.241.162 to 229.2.241.163 | — | 2 |
| 211 | 229.2.241.164/31 | 229.2.241.164 to 229.2.241.165 | — | 2 |
| 212 | 229.2.241.166/31 | 229.2.241.166 to 229.2.241.167 | — | 2 |
| 213 | 229.2.241.168/31 | 229.2.241.168 to 229.2.241.169 | — | 2 |
| 214 | 229.2.241.170/31 | 229.2.241.170 to 229.2.241.171 | — | 2 |
| 215 | 229.2.241.172/31 | 229.2.241.172 to 229.2.241.173 | — | 2 |
| 216 | 229.2.241.174/31 | 229.2.241.174 to 229.2.241.175 | — | 2 |
| 217 | 229.2.241.176/31 | 229.2.241.176 to 229.2.241.177 | — | 2 |
| 218 | 229.2.241.178/31 | 229.2.241.178 to 229.2.241.179 | — | 2 |
| 219 | 229.2.241.180/31 | 229.2.241.180 to 229.2.241.181 | — | 2 |
| 220 | 229.2.241.182/31 | 229.2.241.182 to 229.2.241.183 | — | 2 |
| 221 | 229.2.241.184/31 | 229.2.241.184 to 229.2.241.185 | — | 2 |
| 222 | 229.2.241.186/31 | 229.2.241.186 to 229.2.241.187 | — | 2 |
| 223 | 229.2.241.188/31 | 229.2.241.188 to 229.2.241.189 | — | 2 |
| 224 | 229.2.241.190/31 | 229.2.241.190 to 229.2.241.191 | — | 2 |
| 225 | 229.2.241.192/31 | 229.2.241.192 to 229.2.241.193 | — | 2 |
| 226 | 229.2.241.194/31 | 229.2.241.194 to 229.2.241.195 | — | 2 |
| 227 | 229.2.241.196/31 | 229.2.241.196 to 229.2.241.197 | — | 2 |
| 228 | 229.2.241.198/31 | 229.2.241.198 to 229.2.241.199 | — | 2 |
| 229 | 229.2.241.200/31 | 229.2.241.200 to 229.2.241.201 | — | 2 |
| 230 | 229.2.241.202/31 | 229.2.241.202 to 229.2.241.203 | — | 2 |
| 231 | 229.2.241.204/31 | 229.2.241.204 to 229.2.241.205 | — | 2 |
| 232 | 229.2.241.206/31 | 229.2.241.206 to 229.2.241.207 | — | 2 |
| 233 | 229.2.241.208/31 | 229.2.241.208 to 229.2.241.209 | — | 2 |
| 234 | 229.2.241.210/31 | 229.2.241.210 to 229.2.241.211 | — | 2 |
| 235 | 229.2.241.212/31 | 229.2.241.212 to 229.2.241.213 | — | 2 |
| 236 | 229.2.241.214/31 | 229.2.241.214 to 229.2.241.215 | — | 2 |
| 237 | 229.2.241.216/31 | 229.2.241.216 to 229.2.241.217 | — | 2 |
| 238 | 229.2.241.218/31 | 229.2.241.218 to 229.2.241.219 | — | 2 |
| 239 | 229.2.241.220/31 | 229.2.241.220 to 229.2.241.221 | — | 2 |
| 240 | 229.2.241.222/31 | 229.2.241.222 to 229.2.241.223 | — | 2 |
| 241 | 229.2.241.224/31 | 229.2.241.224 to 229.2.241.225 | — | 2 |
| 242 | 229.2.241.226/31 | 229.2.241.226 to 229.2.241.227 | — | 2 |
| 243 | 229.2.241.228/31 | 229.2.241.228 to 229.2.241.229 | — | 2 |
| 244 | 229.2.241.230/31 | 229.2.241.230 to 229.2.241.231 | — | 2 |
| 245 | 229.2.241.232/31 | 229.2.241.232 to 229.2.241.233 | — | 2 |
| 246 | 229.2.241.234/31 | 229.2.241.234 to 229.2.241.235 | — | 2 |
| 247 | 229.2.241.236/31 | 229.2.241.236 to 229.2.241.237 | — | 2 |
| 248 | 229.2.241.238/31 | 229.2.241.238 to 229.2.241.239 | — | 2 |
| 249 | 229.2.241.240/31 | 229.2.241.240 to 229.2.241.241 | — | 2 |
| 250 | 229.2.241.242/31 | 229.2.241.242 to 229.2.241.243 | — | 2 |
| 251 | 229.2.241.244/31 | 229.2.241.244 to 229.2.241.245 | — | 2 |
| 252 | 229.2.241.246/31 | 229.2.241.246 to 229.2.241.247 | — | 2 |
| 253 | 229.2.241.248/31 | 229.2.241.248 to 229.2.241.249 | — | 2 |
| 254 | 229.2.241.250/31 | 229.2.241.250 to 229.2.241.251 | — | 2 |
| 255 | 229.2.241.252/31 | 229.2.241.252 to 229.2.241.253 | — | 2 |
| 256 | 229.2.241.254/31 | 229.2.241.254 to 229.2.241.255 | — | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |